### Function Macro

# GLib thread_supported

since: 2.0

#### Declaration

    #define g_thread_supported (
      void
    )

#### Description

This macro returns `TRUE` if the thread system is initialized, and `FALSE` if it is not.

For language bindings, `g_thread_get_initialized()` provides the same functionality as a function.

Available since: 2.0

This function is not directly available to language bindings.